Subject: Re: bug#32672: 27.0.50; image resize on window resizing

From: Eli Zaretskii <[email-masked]>
Date: Mon, 24 Sep 2018 11:35:23 +0300

> Date: Mon, 24 Sep 2018 10:22:45 +0200
> From: martin rudalics <[email-masked]>
> Cc: [email-masked]
> 
> I don't know what to do.  We run hooks too often and do not provide
> sufficient information when running them.  Sometimes we even hide
> information when running a hook.  The problem is that changing the
> current situation will have us either run even more hooks or cause
> protests when a hook is no more run where it was run before.

I agree.  I think Lisp programs that use hooks provided by
display-related code should generally expect to be called in many
unrelated situations, and do whatever it takes by themselves to detect
when it's "their" use case.  Expectations or requests for more focused
hooks are impractical or even not feasible to implement, because core
code knows very little about the Lisp application which uses the hook.